Skip to navigation

List a Company's Headcount Over Time

View as Markdown
Returns this entity's employee count over time. Results are sorted newest first. This endpoint does not support custom sorting.

Authentication

AuthorizationBearer

Your aVenture API key (https://aventure.vc/settings/api-keys) or OAuth access token

Path parameters

entityIdstringRequiredformat: "uuid"

Entity unique identifier (UUID)

Query parameters

pageintegerOptionalDefaults to 0

Zero-based page index (0..N)

sizeintegerOptionalDefaults to 20

The size of the page to be returned; maximum 500.

Response headers

X-RateLimit-LimitintegerOptional

Requests allowed per client IP in the current rate-limit window.

X-RateLimit-RemainingintegerOptional

Requests left before the tightest applicable rate-limit bucket rejects.

X-RateLimit-ResetintegerOptional

Seconds until the exhausted rate-limit bucket admits another request; 0 when none is exhausted.

Response

OK
contentlist of objectsOptional
emptybooleanOptional
firstbooleanOptional
lastbooleanOptional
numberintegerOptional
numberOfElementsintegerOptional
pageableobjectOptional
sizeintegerOptional
sortobjectOptional
totalElementslongOptional
totalPagesintegerOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error